import { AfterViewInit, EventEmitter, ElementRef } from '@angular/core';
import { SegmentController } from '../segment/segment.controller';
export declare class SegmentButtonComponent implements AfterViewInit {
    private elementRef;
    private segmentService;
    uiChecked: EventEmitter<SegmentButtonComponent>;
    value: any;
    disabled: boolean;
    selected: boolean;
    nativeElement: HTMLElement;
    constructor(elementRef: ElementRef, segmentService: SegmentController);
    click(): void;
    ngAfterViewInit(): void;
}
